\begin{multicols*}{2}
  \section{Essential Linear Algebra}
\paragraph{Vector} of dimension $n$ is tupel with $n$ entries.
\subsection{Vector Space}
\paragraph{$\mathbb{F}$-Vector Space}\label{def:vectorspace} of dimension $n$ is a is a triplet $\langle V, +, \cdot \rangle$, where\dots
\begin{itemize}
  \item $V$ is a non-empty set.
  \item $+ : V \times V \rightarrow V$ (vector addition).
  \item $0 : \rightarrow V$ (additive neutral element).
  \item $- : V \rightarrow V$ (additive inverse).
  \item $\cdot : \mathbb{F} \times V \rightarrow V$ (scalar multiplication).
\end{itemize}
satisfying the following axioms for all $u,v,w \in V$ and all $c,d \in \mathbb{F}$.
\begin{enumerate}
  \item $v+w=w+v$ additive commutativity.
  \item $u+(v+w)=(u+v)+w$ additive associativity.
  \item $v+0=v$ additive neutral element.
  \item $v+(-v)=0$ inverse.
  \item $1\cdot v=v$ scalar neutral element.
  \item $(c\cdot d)v=c(d\cdot v)$ scalar associativity.
  \item $c(v+w)=cv+cw$ distributivity I.
  \item $(c+d)v=cv+dv$ distributivity II.
\end{enumerate}
\paragraph{Subspace $U$}\ \\
A \textit{subspace} of a Vector Space $V$ is a nonempty vector space $U\subseteq V$ satisfying for all $v,w\in U$ and $c\in\mathbb{F}$:
\begin{enumerate}
  \item $v+w\in U$
  \item $cv\in U$
\end{enumerate}
Every subspace must still satisfy all vector space axioms.
\subsection{Linear Combinations}
Let us consider a finite sequence of $k$ vectors (elements in $V$) $S=(v_1,\dots,v_k)$ and a sequence of $k$ scalars (elements of $\mathbb{F}$) $\Lambda=(\lambda_1,\dots,\lambda_k)$.
\paragraph{Linear Combination}\ \newline
A vector $u\in V$ is called a \textit{linear combination} of $ v_1\ldots v_k \in V, \  k \in \mathbb{N}$ if \[ u = \lambda_1 v_1+\dots+\lambda_k v_k\]
for some $\lambda_1,\ldots,\lambda_k\in \mathbb{F}$.

\paragraph{Set of all linear combinations} \ \newline
 Given vectors $v_1,\dotsc v_k$, the set \[U = \{\lambda_1v_1+\dots+\lambda_kv_k\ |\ \lambda_1,\ldots, \lambda_k \in \mathbb{F}\}\] is called the \textit{set of all linear combinations.}
The set of all linear combinations $U$ is a Subspace of $V$.
\setcounter{subsection}{1}
\subsubsection{Independence, Basis, and Span}
\paragraph{Independence}\ \\ 
\label{def:independence} A set of vectors $\{v_1,\ldots,v_k\}$ is called \textit{linearly independent} if there exist no scalars $a_1,\ldots,a_k,$ other than $0$ such that 
\[
   a_1v_1+\ldots + a_k v_k = 0
 \]


\paragraph{Span}\label{def:span}\ \\
The \textit{span} of a set of vectors $\{s_1,\ldots,s_k\}$ is defined by:
\[
  \vspan\{s_1,\dots,s_k\} \coloneqq \{\lambda_1s_1+\dots+\lambda_ks_k\ |\ \lambda_1,\ldots ,\lambda_k \in \mathbb{F}\},
\]
i.e. all linear combinations of these vectors. \\\\
 A set of vectors $\{s_1,\ldots,s_k\}$ spans a vector space $V$ if $span\{s_1,\ldots,s_k\} = V$, i.e. $V$ is equal to the set of all linear combinations of $S$.

\paragraph{Basis}\label{def:basis}\ \\
A set of vectors $S$ is called a \textit{basis} of a vector space $V$ if S spans $V$ and $S$ is linearly independent.
\setcounter{subsection}{2}
\subsection{Matrices}
We define a matrix with $n$ columns and $m$ rows as the following
\begin{equation}
  A^{m\times n} = \begin{bmatrix}
    a_{11} & a_{12} & \cdots & a_{1n}\\
    a_{21} & a_{22} & \cdots & a_{2n}\\
    \vdots & \vdots & \ddots & \vdots\\
    a_{m1} & a_{m2} & \cdots & a_{mn}
  \end{bmatrix}
\end{equation}
Matrices are also vectors and are part of a $m\times n$ dimensional vector space\footref{def:vectorspace}.\\
Every vector is also a $d\times1$-matrix.
\subsubsection{Transpose} Let $A$ be a $m\times n$-matrix then $A^\top$ is a $n\times m$-matrix.
\begin{equation}
  A = \begin{bmatrix}
    a_{11} & a_{12} & \cdots & a_{1n}\\
    a_{21} & a_{22} & \cdots & a_{2n}\\
    \vdots & \vdots & \ddots & \vdots\\
    a_{m1} & a_{m2} & \cdots & a_{mn}
  \end{bmatrix},\quad
  A^\top = \begin{bmatrix}
    a_{11} & a_{21} & \cdots & a_{n1}\\
    a_{12} & a_{22} & \cdots & a_{n2}\\
    \vdots & \vdots & \ddots & \vdots\\
    a_{1m} & a_{2m} & \cdots & a_{nm}
  \end{bmatrix}
\end{equation}
\subsubsection{Column and Row Space}
We can think of the matrix either as a sequence of $n$ vectors, where the columns are vectors or a sequence of $m$ vectors where, the rows are vectors transposed.
\begin{equation}
  A^{m\times n}=\begin{bmatrix}
    | & | & & |\\
    v_1 & v_2 & \cdots & v_n\\
    | & | & & |\\
  \end{bmatrix}=\begin{bmatrix}
    \text{---} & u_1^\top & \text{---}\\
    \text{---} & u_2^\top & \text{---}\\
    &\vdots&\\
    \text{---} & u_m^\top & \text{---}
  \end{bmatrix}
\end{equation}
\paragraph{Column Space} is the subspace spanned by the column vectors $v_1,\dots,v_n$.
\begin{equation}
  C(A^{m\times n}) = \vspan \{v_1,\dots,v_n\}
\end{equation}
\paragraph{Row Space} is the subspace spanned by the row vectors $u_1,\dots,u_m$.
\begin{equation}
  R(A^{m\times n}) = \vspan \{u_1,\dots,u_m\}
\end{equation}
\paragraph{Rank $r$ of a matrix}
The rank $r$ of a matrix is the amount of independent columns or rows it has.
\begin{equation}
  r=\rank\left(A\right)
\end{equation}
Matrices can have full-(row/column)-rank when the amount of rows/columns is equal to the rank of the matrix.
\subsubsection{Matrix-Vector multiplication}
\paragraph{Matrix-vector multiplication ($A\lambda$)} is the linear combination of the column vectors and the entries of $\lambda$.
\begin{equation}
  A\lambda=\begin{bmatrix}
    | & | & & |\\
    a_1 & a_2 & \cdots & a_n\\
    | & | & & |\\
  \end{bmatrix}\begin{bmatrix}
    \lambda_1\\
    \lambda_2\\
    \vdots\\
    \lambda_n
  \end{bmatrix}=\begin{bmatrix}
    | & | & & |\\
    \lambda_1a_1 & \lambda_2a_2 & \cdots & \lambda_na_n\\
    | & | & & |\\
  \end{bmatrix}
\end{equation}
\paragraph{Vector-matrix multiplication ($(\lambda')^\top A$)} is the linear combination of the row vectors and the entries of $\lambda'$.
\begin{equation}
  (\lambda')^\top A = \begin{bmatrix}
    \lambda_1' & \lambda_2' & \cdots & \lambda_n'
  \end{bmatrix}\begin{bmatrix}
    \text{---} & a_1^\top & \text{---}\\
    \text{---} & a_2^\top & \text{---}\\
    &\vdots&\\
    \text{---} & a_m^\top & \text{---}
  \end{bmatrix}=\begin{bmatrix}
    \text{---} & \lambda_1'a_1^\top & \text{---}\\
    \text{---} & \lambda_2'a_2^\top & \text{---}\\
    &\vdots&\\
    \text{---} & \lambda_m'a_m^\top & \text{---}
  \end{bmatrix}
\end{equation}
\subsubsection{Matrix-Matrix multiplication}
Matrix-Matrix multiplication is defined for $A : m\times k,\; B : k\times n$ as the following
\begin{equation}
  (AB)_{ij} = \left(\begin{bmatrix}
    \text{---} & a_1^\top & \text{---}\\
    \text{---} & a_2^\top & \text{---}\\
    &\vdots&\\
    \text{---} & a_k^\top & \text{---}
  \end{bmatrix}\begin{bmatrix}
    | & | & & |\\
    b_1 & b_2 & \cdots & b_k\\
    | & | & & |\\
  \end{bmatrix}\right)_{ij}=a_i^\top b_j
\end{equation}
Matrix-Matrix multiplication is distributiv and associativ.
\paragraph{Neutral Element} The Matrix-Matrix multiplication neutral element is the Identity matrix
\begin{equation}
  I_{ij}=\delta_{ij}=\begin{cases}
    1 \quad & \text{if } i=j\\
    0 \quad & \text{else}
  \end{cases}
\end{equation}
\paragraph{Inverse} The Matrix-Matrix multiplication inverse only exists for certain $n\times n$ matrices $A$ where it is the $n\times n$ matrix $A^{-1}$. 
These following statements about the invertability are logical consequences of eachother.
\begin{enumerate}
  \item $A$ is invertible.
  \item For every $b\in\mathbb{R}^n$,$Ax=b$ has a unique solution $x$.
  \item The columns of $A$ are independent.
\end{enumerate}
\subsubsection{Inner- and outer-vector product}
\paragraph{Inner-vector-product $u^\top v$} the inner product of two vectors is a value in $\mathbb{F}$, that describes how much one vector is pointing in the same direction as the other, when viewed in a geometric interpretation of the vectors.
Two interesting properties about this product is, that if two vectors are orthogonal to each other the inner product is $0$ and if they are the same, the inner product is the length of the vector square $v^\top v=\|v\|^2$.
\paragraph{Outer-vector-product $uv^\top$} the outer product is a $d\times d$ matrix.
If the two vectors are the same, the resulting vector is symetric.
\subsubsection{Special Matrices}
\paragraph{Permutation Matrix $P$} is a matrix where every row/column only has one non-zero entry which has to be $1$.
\paragraph{Upper/Lower Triangular Matrix $T_\text{upper},T_\text{lower}$} where $T^{n\times n}$\\
Is linearly independent and has an inverse if the diagonal elements are not 0.
\begin{equation}
  (T_\text{upper})_{ij} = \begin{cases}
    0 \quad & \text{if } i<j\\
    a_{ij} \quad & \text{else}
  \end{cases}\quad
  (T_\text{lower})_{ij} = \begin{cases}
    0 \quad & \text{if } i>j\\
    a_{ij} \quad & \text{else}
  \end{cases}
\end{equation}
\paragraph{Symetric Matrix $S$}
\begin{equation}
  S_{ij} = S_{ji} \iff S = S^\top
\end{equation}
\paragraph{Orthogonal Matrix $Q$} where the columns all have norm 1 and are orthogonal to each other.
You can convert any basis to a orthonormal one, without changing the column space.
For this you use the Gram-Schmidt algorithm.
\begin{algorithm}
  \caption{GramSchmidt}
  \begin{algorithmic}
    \State $q_1=\frac{a_1}{\|a_1\|}$
    \For{$k=2,\dots,n$}
      \State $q_k'=a_l-\sum_{i=0}^{k-1}(a_k^\top q_i)q_i$
      \State $q_k=\frac{q_k'}{\|q_k'\|}$
    \EndFor
  \end{algorithmic}
\end{algorithm}\\
Orthogonal matrices preserve the inner product
\begin{equation}
  (Qx)^\top(Qy)=x^\top y
\end{equation}
and it's transpose is it's inverse.
\begin{equation}
  Q^\top Q = QQ^\top = I
\end{equation}
\end{multicols*}

